## org.red5.io.mp4
Class MP4Atom.TimeSampleRecord

    java.lang.Object
      org.red5.io.mp4.MP4Atom.TimeSampleRecord

Enclosing class:
  MP4Atom

    public static class MP4Atom.TimeSampleRecord

extends Object

Constructor Summary
`MP4Atom.TimeSampleRecord(int consecutiveSamples, int sampleDuration)`

Method Summary
`int` `getConsecutiveSamples()`
`int` `getSampleDuration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MP4Atom.TimeSampleRecord

    public MP4Atom.TimeSampleRecord(int consecutiveSamples,
                                    int sampleDuration)

Method Detail

### getConsecutiveSamples

    public int getConsecutiveSamples()

### getSampleDuration

    public int getSampleDuration()

Copyright © 2006-2010 The Red5 Project